import { jsx } from "react/jsx-runtime";
import { FaceMask as FaceMask$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FaceMask = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FaceMask", ...props, children: /* @__PURE__ */ jsx(FaceMask$1, { weight: variant }) });
  }
);
FaceMask.displayName = "FaceMask";
Object.assign(FaceMask, { isGdsIcon: true });
export {
  FaceMask
};
